<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, mainContent=~{::mainContent}, breadcrumbs=~{::breadcrumbs})}">
<head>
    <title>Form Administration Console</title>
    <th:block th:fragment="scripts">
        <script th:src="@{/js/app/authority/edit.js}"></script>
    </th:block>
</head>
<body>
    <ol class="breadcrumb" th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li>
            <a th:href="@{/authority}" th:text="#{Authorities}"></a>
        </li>
        <li class="active">
            <span th:text="${bean.label}"></span>
        </li>
    </ol>
    <div th:fragment="mainContent">
        <div th:replace="commons/modal::default(id='confirmModal', title='Confirm')"></div>
        <div class="row">
            <div class="col-md-12">
                <form name="authority" class="form-horizontal" method="post" th:action="@{/authority/{id}(id=${bean.id})}" th:object="${bean}">
                    <input name="details" type="hidden" th:value="*{details}" />
                    <div class="form-group">
                        <label for="path" class="control-label col-md-2" th:text="#{Authority path}"></label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="path" th:value="*{path}" th:readonly="${bean.id}" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="label" class="control-label col-md-2" th:text="#{Authority name}"></label>
                        <div class="col-md-6">
                            <input type="text" class="form-control" name="label" th:value="*{label}" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="label" class="control-label col-md-2" th:text="#{Authority contact informations}"></label>
                        <div class="col-md-10">
                            <pre id="authority_details" class="form-control" th:text="*{details}" data-parsley-required="true"></pre>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-offset-8 col-md-4" style="text-align: right">
                            <button id="btn-authority-submit" type="submit" class="btn btn-primary" th:text="#{Submit}">Submit</button>
                            <a id="btn-authority-cancel" class="btn btn-default" th:href="@{/authority}" th:text="#{Cancel}">Cancel</a>
                            <a id="btn-authority-remove" class="btn btn-default" role="remove" th:href="@{/authority/{id}/remove(id=${bean.id})}" th:if="${bean.id}" th:text="#{Remove}" data-toggle="confirm" th:attr="data-confirm-title=#{Authority : {0}(*{entityId})}, data-confirm-content=#{Do you really want to remove this authority ?}">Remove</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>
</html>